Subject: [dhcwg] [email-masked]: I-D ACTION:draft-shen-dhc-block-alloc-01.txt

From: Naiming Shen <[email-masked]>
Date: Sat, 24 Jan 2004 09:28:36 -0800

This draft has been posted, please review and comment. The authors
would like this draft to be adopted as a DHC working-group document.

thanks.
- Naiming

------- Forwarded Message

To: IETF-Announce: ;
From: [email-masked]
Subject: I-D ACTION:draft-shen-dhc-block-alloc-01.txt
Date: Fri, 23 Jan 2004 15:59:26 -0500

A New Internet-Draft is available from the on-line Internet-Drafts directories.

	Title		: DHCP Proxy Server Micro-block Allocation Scheme For
                          IP Address Pool Management
	Author(s)	: N. Shen
	Filename	: draft-shen-dhc-block-alloc-01.txt
	Pages		: 8
	Date		: 2004-1-23
	
A new DHCP address allocation mechanism called Micro-blocking
   is proposed in this document. It is used for DHCP proxy servers or
   routers working with DHCP servers to maximize the IP address
   allocation efficiency while improve dynamic routing scalability
   in provider's networks. A DHCP sub-option within the relay agent
   information option 82 is defined in this document. This simple
   DHCP extension can be applied as a simple IP address-pool management
   among multiple IP devices.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-shen-dhc-block-alloc-01.txt

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: John Schnizlein <[email-masked]>
Date: Sun, 25 Jan 2004 12:19:00 -0500

My impression is that this document covers functionality similar the v4 prefix delegation already proposed in draft-ietf-dhc-subnet-alloc-00.txt. 

The biggest advantages of the subnet-alloc draft I can see are these:
1) Specifies the protocol features rather than the allocation behavior,
2) Avoids implications of the size of the allocated subnets,
3) Avoids unnecessary entanglements of DHCP with edge router functionality.
4) Avoids the unnecessary new component of "proxy DHCP server"

John

At 12:28 PM 1/24/2004, Naiming Shen wrote:

>...

---

From: Naiming Shen <[email-masked]>
Date: Sun, 25 Jan 2004 23:36:25 -0800

John,

 ]My impression is that this document covers functionality similar the v4
 ]prefix delegation already proposed in draft-ietf-dhc-subnet-alloc-00.txt.

In some sense, you can think of Micro-blocking draft as the competing
proposal to draft-ietf-dhc-subnet-alloc-00.txt, but with a much
simpler mechanism.

 ]
 ]The biggest advantages of the subnet-alloc draft I can see are these:
 ]1) Specifies the protocol features rather than the allocation behavior,

I'm not sure I fully understand this point. If you are saying more
protocol changes is always better, then I have reservation on this.

 ]2) Avoids implications of the size of the allocated subnets,

The whole point of Micro-block mechanism is allow the address allocation
to be controlled from a centralized server; which is needed for most
efficient address allocation. This also much simplify the mechanism
and implementation, as a side-effect it also does not require much
protocol changes.

 ]3) Avoids unnecessary entanglements of DHCP with edge router functionality.

Any dynamic IP address block address allocation will involve routing issues.
Otherwise how does the traffic from Internet reaches those assigned subnets?
You can do static routing, which means you pre-determine where the address
block should go, which is the whole point we try to avoid.

One can choose not to mention about the routing issue while talking about
the subnet address allocation, but this does not make the operation issues
go away. Even though Micro-blocking draft mentioning about the edge routing
issues, but it does not tie it into the DHCP protocols, it is mentioned
as the reasons we want to do this block address assignment in order
to avoid routing scaling problems as mentioned in the draft, and the
draft offers suggestions how the routing work with the extension to
be scalable.

 ]4) Avoids the unnecessary new component of "proxy DHCP server"

same as the above point. The reason you want to get a block of addresses
is to manage them yourselves. this is the "proxy DHCP server" function,
or in the draft-ietf-dhc-subnet-alloc-00.txt it was mentioned as
"a Hierachical chain of DHCP servers", same idea. It does not matter
one explicitly mentioned this "new component" or not, the basic idea
of getting a block address is to further allocate them locally.

The Micro-blocking draft does not have to require "proxy DHCP server",
we can also say "client" needs this block of addresses if this helps:-)

In the essence, Micro-blocking draft uses a simple suboption extension
in dhcp protocol to make the DHCP server and clients to be a
IP address-pool management system among multiple IP boxes, for
the efficient address allocation.

thanks.
- Naiming

 ]
 ]John
 ]
 ]At 12:28 PM 1/24/2004, Naiming Shen wrote:
 ]
 ]>This draft has been posted, please review and comment. The authors
 ]>would like this draft to be adopted as a DHC working-group document.
 ]>...
 ]>        
 ]>A new DHCP address allocation mechanism called Micro-blocking
 ]>   is proposed in this document. It is used for DHCP proxy servers or
 ]>   routers working with DHCP servers to maximize the IP address
 ]>   allocation efficiency while improve dynamic routing scalability
 ]>   in provider's networks. A DHCP sub-option within the relay agent
 ]>   information option 82 is defined in this document. This simple
 ]>   DHCP extension can be applied as a simple IP address-pool management
 ]>   among multiple IP devices.
 ]>
 ]>A URL for this Internet-Draft is:
 ]>http://www.ietf.org/internet-drafts/draft-shen-dhc-block-alloc-01.txt
 ]